#ifndef ARPREPLY_H
#define ARPREPLY_H

#include <stdio.h>
#include <sys/socket.h>

#include <net/if.h>
#include <net/if_arp.h>
#include <netinet/in.h>
#include <net/ethernet.h>
#include <linux/if_packet.h>

#include <time.h>
#include <unistd.h>
#include <signal.h>

/* simple eth_header */
struct ethernet_header {
	unsigned char d_mac[6];
	unsigned char s_mac[6];
	unsigned short proto;
};

/* simple arp header */
struct arp_header {
	unsigned short hdw_type;
	unsigned short proto;
	unsigned char hdw_size;
	unsigned char proto_size;
	unsigned short opcode;
	unsigned char mac_saddr[6];
	unsigned char saddr[4];
	unsigned char mac_daddr[6];
	//struct ifreq iface;
	unsigned char daddr[4];
};

unsigned char packet[sizeof(struct ethernet_header) + sizeof(struct arp_header)];
int fix_arp = 1; int is_verbose = 0;
char *master_src_ip = NULL; char *master_dest_ip = NULL;
char *master_src_mac = NULL; char *master_dest_mac = NULL;
char *fixing_mac = NULL; char *iface = NULL;

int sendReply(char *interface, char *src_ip, char *src_mac, char *dest_ip, char *dest_mac);

#endif

